Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.cib
Interface CIBProductIf

All Known Implementing Classes:
  CIBProduct

public interface CIBProductIf

Provides methods that should be implemented by a CIBProduct managed object

Method Summary
`void` | `addApplication(javax.management.ObjectName applObjectName)` Add an application ObjectName into the CIBProduct object.
`void` | `removeApplication(javax.management.ObjectName applObjectName)` remove an application object name from the CIBProduct
`void` | `setInstallTime(long date)` Allow to set the installtime date
`void` | `setPatchId(java.lang.String productPatchId)` Allow to set the patchId
`void` | `setProductName(java.lang.String productName)` Allows to set the product Name of the product
`void` | `setVendorName(java.lang.String vendorName)` Allow to set the vendor name
`void` | `setVersion(java.lang.String productVersion)` Allow to set the version of the product

Method Detail

### addApplication

    public void addApplication(javax.management.ObjectName applObjectName)

  Add an application ObjectName into the CIBProduct object.

  Parameters:
    `applObjectName` - ObjectName

### removeApplication

    public void removeApplication(javax.management.ObjectName applObjectName)
                           throws CIBException

  remove an application object name from the CIBProduct

  Parameters:
    `applObjectName` - ObjectName
  Throws:
    `CIBException`

### setProductName

    public void setProductName(java.lang.String productName)

  Allows to set the product Name of the product

  Parameters:
    `productName` - String

### setVersion

    public void setVersion(java.lang.String productVersion)

  Allow to set the version of the product

  Parameters:
    `productVersion` - String

### setPatchId

    public void setPatchId(java.lang.String productPatchId)

  Allow to set the patchId

  Parameters:
    `productPatchId` - String

### setInstallTime

    public void setInstallTime(long date)

  Allow to set the installtime date

  Parameters:
    `date` - long

### setVendorName

    public void setVendorName(java.lang.String vendorName)

  Allow to set the vendor name

  Parameters:
    `vendorName` - String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD